Subject: [secdir] Secdir review of draft-ietf-i2rs-yang-network-topo-18

From: Radia Perlman <[email-masked]>
Date: Tue, 28 Nov 2017 23:04:24 -0800

Summary:  No security issues found

I have reviewed this document as part of the security directorate's ongoing
effort to review all IETF documents being processed by the IESG.  These
comments were written primarily for the benefit of the security area
directors.  Document editors and WG chairs should treat these comments just
like any other last call comments.

I am not an expert at the "YANG model".  This document introduces a YANG
model to represent networks and topologies.  As they point out in the
security considerations section, if there was no authentication of network
management traffic, people could do bad things, but the assumption is that
this will run over TLS or SSH.  Therefore, no security issues are raised by
this document.

Radia